Subject: bug#46494: 28.0.50; [native-comp] Problems with async background compile

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Feb 2021 05:28:37 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 21 Feb 2021 21:22:16 +0000
> 
> >   . How does libgccjit handle the case that its process is exiting?
> >     Does it have any atexit handlers or static destructors?  IOW, how
> >     does it ensure its own subprocesses, like gas etc. are terminated?
> 
> No precise idea about sorry.  Perhaps the best place to ask and discuss
> that would be [email-masked]?

If we need to, perhaps we should.

> >   . When we invoke Emacs in a subprocess to do the async compilation,
> >     do we specify that it should be killed without query?  I don't see
> >     this in the code (did I miss it?), but if we don't, then exiting
> >     Emacs will ask the user whether to kill the subprocesses -- does
> >     it?
> 
> Yes it does, should we change this?

no, I don't think so.  It's just that no one here mentioned that
question, so I assumed it isn't being asked.

> > P.S. Andrea, I see you use "path" in comp.el (and perhaps elsewhere)
> > to mean "file name", but the GNU Coding Standards frown on using this
> > for anything other than PATH-style directory lists.  So this should at
> > some point be replaced with "file name".
> 
> da4da88c76 fix one case of this.
> 
> We use `paths' in `native-compile-async' and `native--compile-async' as
> arg name.  This can be either a file, a list of file or a list of
> directories.  What would be the suggested name for something like that?

"files"?